# PvCard::TypeValues Class Reference

`#include <vcard.h>`

Inheritance diagram for PvCard::TypeValues:

List of all members.

## Public Member Functions

| TypeValues ()
| TypeValues (const ParamValues &values)
virtual void | PrintOn (ostream &strm) const
| Print the collection on the stream.

## Constructor & Destructor Documentation

PvCard::TypeValues::TypeValues | ( |  | ) | `[inline]`

PvCard::TypeValues::TypeValues | ( | const ParamValues & | values | ) | `[inline]`

## Member Function Documentation

virtual void PvCard::TypeValues::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Print the collection on the stream.

This simply executes the `PObject::PrintOn()` function on each element in the collection.

The default behaviour for collections is to print each element separated by the stream fill character. Note that if the fill character is the default ' ' then no separator is printed at all.

Also if the fill character is not ' ', the the streams width parameter is set before each individual element of the colllection.

Returns:
  the stream printed to.

Reimplemented from PvCard::ParamValues.

The documentation for this class was generated from the following file:

- vcard.h